Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.common
Class TieLibraryObjectLookupCacheCollection

    java.lang.Object
      oracle.ifs.common.LibraryObjectLookupCacheCollection
          oracle.ifs.common.TieLibraryObjectLookupCacheCollection

All Implemented Interfaces:
  Collection, IfsEventHandler

    public class TieLibraryObjectLookupCacheCollection

extends LibraryObjectLookupCacheCollection
implements Collection

TieLibraryObjectLookupCacheCollection allows the Oracle-defined behavior of the LibraryObjectLookupCacheCollection class to be extended or overridden.

(Published)

Constructor Summary
`TieLibraryObjectLookupCacheCollection(LibrarySessionInterface session, LibraryObjectLookupCache lolc, java.lang.String className)` Constructs a TieLibraryObjectLookupCacheCollection.

Method Summary

Methods inherited from class oracle.ifs.common.LibraryObjectLookupCacheCollection
`checkItemByUpperCaseName, getCachedObjectsClass, getItemByUpperCaseName, getItemCount, getItems, getItems, getItems, getItemsVector, getLibraryObjectLookupCache, getSession, handleEvent, reset`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface oracle.ifs.common.Collection
`checkItemByUpperCaseName, getItemByUpperCaseName, getItemCount, getItems, getItems, getItems, getItemsVector, reset`

Methods inherited from interface oracle.ifs.common.IfsEventHandler
`handleEvent`

Constructor Detail

### TieLibraryObjectLookupCacheCollection

    public TieLibraryObjectLookupCacheCollection(LibrarySessionInterface session,
                                                 LibraryObjectLookupCache lolc,
                                                 java.lang.String className)
                                          throws IfsException

  Constructs a TieLibraryObjectLookupCacheCollection.

  Parameters:
    `session` - the session context
    `lolc` - the LibraryObjectLookupCache
    `className` - the class name for the objects in the cache
  Throws:
    `IfsException` - if the operation fails
  (Published)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD